import {Component, Input, OnInit} from '@angular/core';
import * as moment from 'moment';

@Component({
  selector: 'app-fit-weekday-selector',
  templateUrl: './fit-weekday-selector.component.html',
  styleUrls: ['./fit-weekday-selector.component.scss']
})
export class FitWeekdaySelectorComponent implements OnInit {

  @Input()
  days: number[] = [];

  constructor() { }

  ngOnInit() {
    moment.locale("hu");
  }

  formatDayName(dateNum){
    return moment(dateNum).format("dddd");
  }


  formatDate(dateNum){
    return moment(dateNum).format("YYYY-MM-DD");
  }

}
